
if(!this.VirtualEventMgr) {
	this.VirtualEventMgr = new Object();
}

VirtualEventMgr ={
	
	SkypeEvent : null,
	IsInCall : "0"
}

VirtualEventMgr.vtSkypeLoadedEvent = function()
{
	setTimeout("TimerCallBackFunction()", 500);
	TimerCallBackFunction = function(){
		OnSkypeEvent("371",null,null);
    }
}

VirtualEventMgr.vtLoggedInEvent = function()
{
	setTimeout("TimerCallBackFunction()", 500);
	TimerCallBackFunction = function(){
		OnSkypeEvent("256",null,null);
		
		VirtualEventMgr.vtFirstCBLSyncEvent();
		
    }
}
VirtualEventMgr.vtLoggedOutEvent = function()
{
	setTimeout("TimerCallBackFunction()", 500);
	TimerCallBackFunction = function(){
		OnSkypeEvent("257","11",null);
		
		
    }
}

VirtualEventMgr.vtFirstCBLSyncEvent = function()
{
	setTimeout("TimerCallBackFun()", 1500);
	TimerCallBackFun = function(){
		OnSkypeEvent("271",null,null);		
    }
}

VirtualEventMgr.vtInprogressEvent = function()
{
	this.IsInCall = "1";
	setTimeout("TimerCallBackFunction()", 5000);
	TimerCallBackFunction = function(){
		OnSkypeEvent("263",null,null);
				
    }
}
